Subject: tar and compress for guest users

From: Philip Gwyn <[email-masked]>
Date: Thu, 20 Nov 1997 01:26:34 -0500

On the fly compression works for normal users, but not guest users.  This
is a FAQ, I know.  I read the FAQ, couldn't solve it.

Command : 
get web.tar.gz
The error message is :
550 bin.zip: No such file or directory.

Running RedHat Linux 2.0.30

In /etc/ftpd/ftpaccess (abridged):
class   all     real  *
class   invite  guest *
class   anon    anonymous *
[snip]
compress        yes             all invite
tar             yes             all invite
[snip]
guestgroup clients

/etc/ftpd/ftpcompress shouldn't be a problem, because it works 

ftpck 1.11 reports no errors.

The FAQ says I should look at needed libraries.  So I did.
zip, tar and gzip needed /lib/libc.so.5, it is present, along with an
updated /lib/ld.so.cache.
ls works (it also needs /lib/libc.so.5)
chroot ~user bin/zip -r t.zip bin worked fine.

Any and all help would be very much apreciated

TIA,

-Philip
-------------------------------------------------------
Philip Gwyn             http://www.interlinx.qc.ca/~fil
[email-masked]                     Internet ARTware inc.
[email-masked]                         Programmeur